jv.object

## Interface PsViewerIf

- All Superinterfaces:
    java.util.EventListener, java.awt.event.KeyListener
  All Known Subinterfaces:
    PvViewerIf
  All Known Implementing Classes:
    PvViewer

      public interface PsViewerIf
      extends java.awt.event.KeyListener

  Interface for a viewer to allow forwarding of keyboard events to central event handler `PvViewer`.

  Interface KeyListener is extended to allow viewer to receive function key and strg-key events to show and hide panels. The original F1 key is received by the display and has forward it. The F2 key is received by the control window when pressed right after the F1 key since input focus passes over to control window once it opens. If display receives focus again then F2 arrives here.

  See Also:
    `PvViewer`, `PvViewerIf`
  Author:
    Konrad Polthier
  Version:
    24.02.18, 2.92 revised (kp) New entry XYZ added.
    18.09.09, 2.91 revised (fk) New entry PNG added.
    11.07.06, 2.91 revised (ur) New entry PDF added.
    30.04.06, 2.90 revised (kp) New entry U3D added.
    12.07.02, 2.80 revised (kp) New entry VECTOR added.
    05.06.02, 2.70 revised (kp) MENU_INSPECTOR_OBJECT items replaced with MENU_INSPECTOR_GEOMETRY.
    11.12.01, 2.60 revised (kp) Entries for light and axis added.
    03.06.01, 2.50 revised (kp) Texture panel added.
    13.03.01, 2.20 revised (kp) Import and export of display options implemented.
    11.03.01, 2.11 revised (kp) Export choice JVX_SMALL added.
    23.06.00, 2.10 revised (kp) Config menu item added.
    03.03.00, 2.00 revised (kp) Most functionality of interface moved to jv.project.PvViewerIf.
    19.06.99, 1.10 revised (kp) Menu identifiers added.
    12.06.99, 1.00 created (kp) Created the interface from the implementation jv.viewer.PvViewer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABOUT`
    `static int` | `ABOUT_APPLET`
    `static int` | `ADD_GEOMETRY`
    `static int` | `ADD_PROJECT`
    `static int` | `ANIMATION`
    `static int` | `AXIS`
    `static int` | `AXIS_X`
    `static int` | `AXIS_Y`
    `static int` | `AXIS_Z`
    `static int` | `BOUNDARY`
    `static int` | `CAMERA`
    `static int` | `CONFIG`
    `static int` | `CONSOLE`
    `static int` | `CONTROL`
    `static int` | `DISPLAY`
    `static int` | `EXPORT_BUG`
    `static int` | `EXPORT_BYU`
    `static int` | `EXPORT_DXF`
    `static int` | `EXPORT_EPS`
    `static int` | `EXPORT_FE`
    `static int` | `EXPORT_GIF`
    `static int` | `EXPORT_GIF_ANIM`
    `static int` | `EXPORT_HTML`
    `static int` | `EXPORT_JPG`
    `static int` | `EXPORT_JPG_ANIM`
    `static int` | `EXPORT_JVD`
    `static int` | `EXPORT_JVX`
    `static int` | `EXPORT_JVX_SMALL` Deprecated. no longer supported.
    `static int` | `EXPORT_JVZ`
    `static int` | `EXPORT_MA`
    `static int` | `EXPORT_MGS`
    `static int` | `EXPORT_MPL`
    `static int` | `EXPORT_MULTIPLE`
    `static int` | `EXPORT_OBJ`
    `static int` | `EXPORT_OFF`
    `static int` | `EXPORT_PDF`
    `static int` | `EXPORT_PLY`
    `static int` | `EXPORT_PNG`
    `static int` | `EXPORT_POV`
    `static int` | `EXPORT_PPM`
    `static int` | `EXPORT_PPM_ANIM`
    `static int` | `EXPORT_PS`
    `static int` | `EXPORT_STL`
    `static int` | `EXPORT_U3D`
    `static int` | `EXPORT_VAL` Deprecated. since 3.97.010, use EXPORT_VALIDATE instead.
    `static int` | `EXPORT_VALIDATE`
    `static int` | `EXPORT_VRML` Deprecated. since 3.95.012, use EXPORT_WRL instead.
    `static int` | `EXPORT_WRL`
    `static int` | `EXPORT_XML`
    `static int` | `EXPORT_XYZ`
    `static int` | `HELP`
    `static int` | `IMPORT_DISK`
    `static int` | `IMPORT_JVD`
    `static int` | `IMPORT_VGP`
    `static int` | `INFO`
    `static int` | `LABEL`
    `static int` | `LICENSE`
    `static int` | `LIGHT`
    `static int` | `MATERIAL`
    `static int` | `MENU_DISPLAY_ADD_ELEMENT` Major mode in display to add new elements to geometry.
    `static int` | `MENU_DISPLAY_ADD_VERTEX` Major mode in display to add new points of geometries.
    `static int` | `MENU_DISPLAY_DELETE_GEOMETRY` Major mode in display to delete items or geometries.
    `static int` | `MENU_DISPLAY_DISPLAY_PICK` Major mode in display to select initial points in display without picking geometries.
    `static int` | `MENU_DISPLAY_DRAWING` Major mode allows to draw sketches in the display which are then converted to strokes.
    `static int` | `MENU_DISPLAY_INITIAL_PICK` Major mode in display to select initial points on geometries.
    `static int` | `MENU_DISPLAY_MARK_ELEMENT` Major mode in display to mark a set of elements on geometries.
    `static int` | `MENU_DISPLAY_MARK_VERTEX` Major mode in display to mark a set of points on geometries.
    `static int` | `MENU_DISPLAY_ORBIT` Major mode in display to rotate geometry.
    `static int` | `MENU_DISPLAY_PICK_VERTEX` Major mode in display to pick and modify vertices.
    `static int` | `MENU_DISPLAY_SCALE` Major mode in display to scale geometry by zooming.
    `static int` | `MENU_DISPLAY_SCALE_RECT` Major mode in display to scale geometry by zooming into a specified rectangle.
    `static int` | `MENU_DISPLAY_TRANSLATE` Major mode in display to (x,y)-translate geometry.
    `static int` | `MENU_DISPLAY_TRANSLATE_Z` Major mode in display to z-translate geometry.
    `static int` | `MENU_DISPLAY_UNMARK_ELEMENT` Major mode in display to mark a set of elements on geometries.
    `static int` | `MENU_DISPLAY_UNMARK_VERTEX` Major mode in display to unmark a set of points on surfaces.
    `static int` | `MENU_DISPLAY_VERTICAL` Major mode in display to rotate geometry around vertical z-axis.
    `static int` | `MENU_FILE` File Menu for loading projects, data ....
    `static int` | `MENU_FILE_CLOSE`
    `static int` | `MENU_FILE_EXIT`
    `static int` | `MENU_FILE_EXPORT`
    `static int` | `MENU_FILE_EXPORT_BYU`
    `static int` | `MENU_FILE_EXPORT_FE`
    `static int` | `MENU_FILE_EXPORT_GIF`
    `static int` | `MENU_FILE_EXPORT_JPG`
    `static int` | `MENU_FILE_EXPORT_JVD`
    `static int` | `MENU_FILE_EXPORT_JVX`
    `static int` | `MENU_FILE_EXPORT_JVX_SMALL` Deprecated. no longer supported.
    `static int` | `MENU_FILE_EXPORT_MA`
    `static int` | `MENU_FILE_EXPORT_MGS`
    `static int` | `MENU_FILE_EXPORT_MPL`
    `static int` | `MENU_FILE_EXPORT_OBJ`
    `static int` | `MENU_FILE_EXPORT_OFF`
    `static int` | `MENU_FILE_EXPORT_PDF`
    `static int` | `MENU_FILE_EXPORT_PLY`
    `static int` | `MENU_FILE_EXPORT_POV`
    `static int` | `MENU_FILE_EXPORT_PPM`
    `static int` | `MENU_FILE_EXPORT_STL`
    `static int` | `MENU_FILE_EXPORT_U3D`
    `static int` | `MENU_FILE_EXPORT_VRML` Deprecated. since 3.95.012, use MENU_FILE_EXPORT_WRL instead.
    `static int` | `MENU_FILE_EXPORT_WRL`
    `static int` | `MENU_FILE_EXPORT_XYZ`
    `static int` | `MENU_FILE_IMPORT`
    `static int` | `MENU_FILE_IMPORT_DISK`
    `static int` | `MENU_FILE_IMPORT_JVD`
    `static int` | `MENU_FILE_IMPORT_SER`
    `static int` | `MENU_FILE_IMPORT_VGP`
    `static int` | `MENU_FILE_NEW`
    `static int` | `MENU_FILE_NEW_DISPLAY`
    `static int` | `MENU_FILE_NEW_GEOMETRY`
    `static int` | `MENU_FILE_NEW_PROJECT`
    `static int` | `MENU_FILE_PRINT`
    `static int` | `MENU_FILE_PRINT_EPS`
    `static int` | `MENU_FILE_PRINT_PS`
    `static int` | `MENU_FILE_SUBMIT`
    `static int` | `MENU_HELP` Menu with help information.
    `static int` | `MENU_HELP_ABOUT` Show 'About' dialog
    `static int` | `MENU_HELP_APPLET` Help on current applet.
    `static int` | `MENU_HELP_FONTS` Show system fonts.
    `static int` | `MENU_HELP_LICENSE` Show resource information.
    `static int` | `MENU_HELP_RESOURCE` Show resource information.
    `static int` | `MENU_HELP_SYSTEM` Help on system and PsConfig entries.
    `static int` | `MENU_HELP_VIEWER` Help on viewer.
    `static int` | `MENU_INSPECTOR` Menu with inspector panels.
    `static int` | `MENU_INSPECTOR_AXIS`
    `static int` | `MENU_INSPECTOR_AXIS_X`
    `static int` | `MENU_INSPECTOR_AXIS_Y`
    `static int` | `MENU_INSPECTOR_AXIS_Z`
    `static int` | `MENU_INSPECTOR_CAMERA`
    `static int` | `MENU_INSPECTOR_DISPLAY`
    `static int` | `MENU_INSPECTOR_GEOMETRY`
    `static int` | `MENU_INSPECTOR_GEOMETRY_BOUNDARY`
    `static int` | `MENU_INSPECTOR_GEOMETRY_CONFIG`
    `static int` | `MENU_INSPECTOR_GEOMETRY_INFO`
    `static int` | `MENU_INSPECTOR_GEOMETRY_LABEL`
    `static int` | `MENU_INSPECTOR_GEOMETRY_MATERIAL`
    `static int` | `MENU_INSPECTOR_GEOMETRY_TEXTURE`
    `static int` | `MENU_INSPECTOR_GEOMETRY_VECTOR`
    `static int` | `MENU_INSPECTOR_LIGHT`
    `static int` | `MENU_INSPECTOR_OBJECT` Deprecated. use MENU_INSPECTOR_GEOMETRY instead.
    `static int` | `MENU_INSPECTOR_OBJECT_CONFIG` Deprecated. use MENU_INSPECTOR_GEOMETRY_CONFIG instead.
    `static int` | `MENU_INSPECTOR_OBJECT_INFO` Deprecated. use MENU_INSPECTOR_GEOMETRY_INFO instead.
    `static int` | `MENU_INSPECTOR_OBJECT_MATERIAL` Deprecated. use MENU_INSPECTOR_GEOMETRY_MATERIAL instead.
    `static int` | `MENU_INSPECTOR_OBJECT_TEXTURE` Deprecated. use MENU_INSPECTOR_GEOMETRY_TEXTURE instead.
    `static int` | `MENU_INSPECTOR_PROJECT`
    `static int` | `MENU_METHOD` Menu with object methods.
    `static int` | `MENU_SEPARATOR` Separator line in menu.
    `static int` | `MENU_WINDOW` Menu with windows.
    `static int` | `MENU_WINDOW_ANIMATION`
    `static int` | `MENU_WINDOW_CONSOLE`
    `static int` | `MENU_WINDOW_NETWORK`
    `static int` | `NEW_GEOMETRY`
    `static int` | `NEW_PROJECT`
    `static int` | `OBJECT`
    `static int` | `PRINT`
    `static int` | `PROJECT`
    `static int` | `RESOURCE`
    `static int` | `RSRC` Deprecated. use RESOURCE.
    `static int` | `TEXTURE`
    `static int` | `VECTOR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addProject(java.lang.String category, java.lang.String name, java.lang.String className, java.lang.String[] parmList)` Registers the name and class of a project in the viewer in given category.
    `boolean` | `export(int dialog, java.lang.String fileName)` Export geometries of active display without opening a dialog.
    `boolean` | `export(int dialog, java.lang.String fileName, int width, int height)` Export image file of currently active display with specified image size.

    - ### Methods inherited from interface java.awt.event.KeyListener

      `keyPressed, keyReleased, keyTyped`

- - ### Field Detail

    - #### PROJECT

          static final int PROJECT

      See Also:
        Constant Field Values

    - #### OBJECT

          static final int OBJECT

      See Also:
        Constant Field Values

    - #### INFO

          static final int INFO

      See Also:
        Constant Field Values

    - #### MATERIAL

          static final int MATERIAL

      See Also:
        Constant Field Values

    - #### BOUNDARY

          static final int BOUNDARY

      See Also:
        Constant Field Values

    - #### TEXTURE

          static final int TEXTURE

      See Also:
        Constant Field Values

    - #### VECTOR

          static final int VECTOR

      See Also:
        Constant Field Values

    - #### CONFIG

          static final int CONFIG

      See Also:
        Constant Field Values

    - #### LABEL

          static final int LABEL

      See Also:
        Constant Field Values

    - #### LIGHT

          static final int LIGHT

      See Also:
        Constant Field Values

    - #### AXIS

          static final int AXIS

      See Also:
        Constant Field Values

    - #### CAMERA

          static final int CAMERA

      See Also:
        Constant Field Values

    - #### DISPLAY

          static final int DISPLAY

      See Also:
        Constant Field Values

    - #### AXIS_X

          static final int AXIS_X

      See Also:
        Constant Field Values

    - #### AXIS_Y

          static final int AXIS_Y

      See Also:
        Constant Field Values

    - #### AXIS_Z

          static final int AXIS_Z

      See Also:
        Constant Field Values

    - #### LICENSE

          static final int LICENSE

      Since:
        JavaView 2.83.000
      See Also:
        Constant Field Values
      Version:
        26.06.03, 1.00 created (kp)

    - #### RESOURCE

          static final int RESOURCE

      See Also:
        Constant Field Values
      Version:
        26.06.03, 1.10 revised (kp) Renamed to RESOURCE from RSRC.

    - #### RSRC

          static final int RSRC

      Deprecated. use RESOURCE.
      See Also:
        Constant Field Values

    - #### ABOUT

          static final int ABOUT

      See Also:
        Constant Field Values

    - #### ABOUT_APPLET

          static final int ABOUT_APPLET

      See Also:
        Constant Field Values

    - #### ANIMATION

          static final int ANIMATION

      See Also:
        Constant Field Values

    - #### CONTROL

          static final int CONTROL

      See Also:
        Constant Field Values

    - #### CONSOLE

          static final int CONSOLE

      See Also:
        Constant Field Values

    - #### HELP

          static final int HELP

      See Also:
        Constant Field Values

    - #### NEW_PROJECT

          static final int NEW_PROJECT

      See Also:
        Constant Field Values

    - #### ADD_PROJECT

          static final int ADD_PROJECT

      See Also:
        Constant Field Values

    - #### NEW_GEOMETRY

          static final int NEW_GEOMETRY

      See Also:
        Constant Field Values

    - #### ADD_GEOMETRY

          static final int ADD_GEOMETRY

      See Also:
        Constant Field Values

    - #### IMPORT_VGP

          static final int IMPORT_VGP

      See Also:
        Constant Field Values

    - #### IMPORT_DISK

          static final int IMPORT_DISK

      See Also:
        Constant Field Values

    - #### IMPORT_JVD

          static final int IMPORT_JVD

      See Also:
        Constant Field Values

    - #### EXPORT_BYU

          static final int EXPORT_BYU

      See Also:
        Constant Field Values

    - #### EXPORT_DXF

          static final int EXPORT_DXF

      See Also:
        Constant Field Values

    - #### EXPORT_FE

          static final int EXPORT_FE

      See Also:
        Constant Field Values

    - #### EXPORT_JVX

          static final int EXPORT_JVX

      See Also:
        Constant Field Values

    - #### EXPORT_JVZ

          static final int EXPORT_JVZ

      See Also:
        Constant Field Values

    - #### EXPORT_JVX_SMALL

          static final int EXPORT_JVX_SMALL

      Deprecated. no longer supported.
      See Also:
        Constant Field Values

    - #### EXPORT_MA

          static final int EXPORT_MA

      See Also:
        Constant Field Values

    - #### EXPORT_MGS

          static final int EXPORT_MGS

      See Also:
        Constant Field Values

    - #### EXPORT_MPL

          static final int EXPORT_MPL

      See Also:
        Constant Field Values

    - #### EXPORT_OBJ

          static final int EXPORT_OBJ

      See Also:
        Constant Field Values

    - #### EXPORT_OFF

          static final int EXPORT_OFF

      See Also:
        Constant Field Values

    - #### EXPORT_POV

          static final int EXPORT_POV

      See Also:
        Constant Field Values

    - #### EXPORT_PLY

          static final int EXPORT_PLY

      See Also:
        Constant Field Values

    - #### EXPORT_STL

          static final int EXPORT_STL

      See Also:
        Constant Field Values

    - #### EXPORT_U3D

          static final int EXPORT_U3D

      See Also:
        Constant Field Values

    - #### EXPORT_WRL

          static final int EXPORT_WRL

      See Also:
        Constant Field Values

    - #### EXPORT_XYZ

          static final int EXPORT_XYZ

      See Also:
        Constant Field Values

    - #### EXPORT_VRML

          static final int EXPORT_VRML

      Deprecated. since 3.95.012, use EXPORT_WRL instead.
      See Also:
        Constant Field Values

    - #### EXPORT_JVD

          static final int EXPORT_JVD

      See Also:
        Constant Field Values

    - #### EXPORT_GIF

          static final int EXPORT_GIF

      See Also:
        Constant Field Values

    - #### EXPORT_GIF_ANIM

          static final int EXPORT_GIF_ANIM

      See Also:
        Constant Field Values

    - #### EXPORT_JPG

          static final int EXPORT_JPG

      See Also:
        Constant Field Values

    - #### EXPORT_JPG_ANIM

          static final int EXPORT_JPG_ANIM

      See Also:
        Constant Field Values

    - #### EXPORT_PPM

          static final int EXPORT_PPM

      See Also:
        Constant Field Values

    - #### EXPORT_PPM_ANIM

          static final int EXPORT_PPM_ANIM

      See Also:
        Constant Field Values

    - #### EXPORT_PNG

          static final int EXPORT_PNG

      See Also:
        Constant Field Values

    - #### EXPORT_XML

          static final int EXPORT_XML

      See Also:
        Constant Field Values

    - #### EXPORT_EPS

          static final int EXPORT_EPS

      See Also:
        Constant Field Values

    - #### EXPORT_PS

          static final int EXPORT_PS

      See Also:
        Constant Field Values

    - #### EXPORT_PDF

          static final int EXPORT_PDF

      See Also:
        Constant Field Values

    - #### EXPORT_HTML

          static final int EXPORT_HTML

      See Also:
        Constant Field Values

    - #### EXPORT_VALIDATE

          static final int EXPORT_VALIDATE

      See Also:
        Constant Field Values

    - #### EXPORT_VAL

          static final int EXPORT_VAL

      Deprecated. since 3.97.010, use EXPORT_VALIDATE instead.
      See Also:
        Constant Field Values

    - #### EXPORT_BUG

          static final int EXPORT_BUG

      See Also:
        Constant Field Values

    - #### EXPORT_MULTIPLE

          static final int EXPORT_MULTIPLE

      See Also:
        Constant Field Values

    - #### PRINT

          static final int PRINT

      See Also:
        Constant Field Values

    - #### MENU_SEPARATOR

          static final int MENU_SEPARATOR

      Separator line in menu.
      See Also:
        Constant Field Values

    - #### MENU_FILE

          static final int MENU_FILE

      File Menu for loading projects, data ....
      See Also:
        Constant Field Values

    - #### MENU_FILE_NEW

          static final int MENU_FILE_NEW

      See Also:
        Constant Field Values

    - #### MENU_FILE_NEW_PROJECT

          static final int MENU_FILE_NEW_PROJECT

      See Also:
        Constant Field Values

    - #### MENU_FILE_NEW_GEOMETRY

          static final int MENU_FILE_NEW_GEOMETRY

      See Also:
        Constant Field Values

    - #### MENU_FILE_NEW_DISPLAY

          static final int MENU_FILE_NEW_DISPLAY

      See Also:
        Constant Field Values

    - #### MENU_FILE_IMPORT

          static final int MENU_FILE_IMPORT

      See Also:
        Constant Field Values

    - #### MENU_FILE_IMPORT_VGP

          static final int MENU_FILE_IMPORT_VGP

      See Also:
        Constant Field Values

    - #### MENU_FILE_IMPORT_DISK

          static final int MENU_FILE_IMPORT_DISK

      See Also:
        Constant Field Values

    - #### MENU_FILE_IMPORT_JVD

          static final int MENU_FILE_IMPORT_JVD

      See Also:
        Constant Field Values

    - #### MENU_FILE_IMPORT_SER

          static final int MENU_FILE_IMPORT_SER

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT

          static final int MENU_FILE_EXPORT

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_BYU

          static final int MENU_FILE_EXPORT_BYU

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_FE

          static final int MENU_FILE_EXPORT_FE

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_JVX

          static final int MENU_FILE_EXPORT_JVX

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_JVX_SMALL

          static final int MENU_FILE_EXPORT_JVX_SMALL

      Deprecated. no longer supported.
      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_MA

          static final int MENU_FILE_EXPORT_MA

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_MGS

          static final int MENU_FILE_EXPORT_MGS

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_MPL

          static final int MENU_FILE_EXPORT_MPL

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_OBJ

          static final int MENU_FILE_EXPORT_OBJ

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_OFF

          static final int MENU_FILE_EXPORT_OFF

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_PDF

          static final int MENU_FILE_EXPORT_PDF

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_PLY

          static final int MENU_FILE_EXPORT_PLY

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_POV

          static final int MENU_FILE_EXPORT_POV

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_STL

          static final int MENU_FILE_EXPORT_STL

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_U3D

          static final int MENU_FILE_EXPORT_U3D

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_WRL

          static final int MENU_FILE_EXPORT_WRL

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_XYZ

          static final int MENU_FILE_EXPORT_XYZ

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_VRML

          static final int MENU_FILE_EXPORT_VRML

      Deprecated. since 3.95.012, use MENU_FILE_EXPORT_WRL instead.
      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_GIF

          static final int MENU_FILE_EXPORT_GIF

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_JPG

          static final int MENU_FILE_EXPORT_JPG

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_PPM

          static final int MENU_FILE_EXPORT_PPM

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXPORT_JVD

          static final int MENU_FILE_EXPORT_JVD

      See Also:
        Constant Field Values

    - #### MENU_FILE_PRINT

          static final int MENU_FILE_PRINT

      See Also:
        Constant Field Values

    - #### MENU_FILE_PRINT_EPS

          static final int MENU_FILE_PRINT_EPS

      See Also:
        Constant Field Values

    - #### MENU_FILE_PRINT_PS

          static final int MENU_FILE_PRINT_PS

      See Also:
        Constant Field Values

    - #### MENU_FILE_SUBMIT

          static final int MENU_FILE_SUBMIT

      See Also:
        Constant Field Values

    - #### MENU_FILE_CLOSE

          static final int MENU_FILE_CLOSE

      See Also:
        Constant Field Values

    - #### MENU_FILE_EXIT

          static final int MENU_FILE_EXIT

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR

          static final int MENU_INSPECTOR

      Menu with inspector panels.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_PROJECT

          static final int MENU_INSPECTOR_PROJECT

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_OBJECT

          static final int MENU_INSPECTOR_OBJECT

      Deprecated. use MENU_INSPECTOR_GEOMETRY instead.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_OBJECT_INFO

          static final int MENU_INSPECTOR_OBJECT_INFO

      Deprecated. use MENU_INSPECTOR_GEOMETRY_INFO instead.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_OBJECT_MATERIAL

          static final int MENU_INSPECTOR_OBJECT_MATERIAL

      Deprecated. use MENU_INSPECTOR_GEOMETRY_MATERIAL instead.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_OBJECT_TEXTURE

          static final int MENU_INSPECTOR_OBJECT_TEXTURE

      Deprecated. use MENU_INSPECTOR_GEOMETRY_TEXTURE instead.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_OBJECT_CONFIG

          static final int MENU_INSPECTOR_OBJECT_CONFIG

      Deprecated. use MENU_INSPECTOR_GEOMETRY_CONFIG instead.
      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY

          static final int MENU_INSPECTOR_GEOMETRY

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_INFO

          static final int MENU_INSPECTOR_GEOMETRY_INFO

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_MATERIAL

          static final int MENU_INSPECTOR_GEOMETRY_MATERIAL

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_BOUNDARY

          static final int MENU_INSPECTOR_GEOMETRY_BOUNDARY

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_TEXTURE

          static final int MENU_INSPECTOR_GEOMETRY_TEXTURE

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_VECTOR

          static final int MENU_INSPECTOR_GEOMETRY_VECTOR

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_LABEL

          static final int MENU_INSPECTOR_GEOMETRY_LABEL

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_GEOMETRY_CONFIG

          static final int MENU_INSPECTOR_GEOMETRY_CONFIG

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_LIGHT

          static final int MENU_INSPECTOR_LIGHT

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_AXIS

          static final int MENU_INSPECTOR_AXIS

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_AXIS_X

          static final int MENU_INSPECTOR_AXIS_X

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_AXIS_Y

          static final int MENU_INSPECTOR_AXIS_Y

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_AXIS_Z

          static final int MENU_INSPECTOR_AXIS_Z

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_CAMERA

          static final int MENU_INSPECTOR_CAMERA

      See Also:
        Constant Field Values

    - #### MENU_INSPECTOR_DISPLAY

          static final int MENU_INSPECTOR_DISPLAY

      See Also:
        Constant Field Values

    - #### MENU_METHOD

          static final int MENU_METHOD

      Menu with object methods.
      See Also:
        Constant Field Values

    - #### MENU_WINDOW

          static final int MENU_WINDOW

      Menu with windows.
      See Also:
        Constant Field Values

    - #### MENU_WINDOW_ANIMATION

          static final int MENU_WINDOW_ANIMATION

      See Also:
        Constant Field Values

    - #### MENU_WINDOW_CONSOLE

          static final int MENU_WINDOW_CONSOLE

      See Also:
        Constant Field Values

    - #### MENU_WINDOW_NETWORK

          static final int MENU_WINDOW_NETWORK

      See Also:
        Constant Field Values

    - #### MENU_HELP

          static final int MENU_HELP

      Menu with help information.
      See Also:
        Constant Field Values

    - #### MENU_HELP_VIEWER

          static final int MENU_HELP_VIEWER

      Help on viewer.
      See Also:
        Constant Field Values

    - #### MENU_HELP_SYSTEM

          static final int MENU_HELP_SYSTEM

      Help on system and PsConfig entries.
      See Also:
        Constant Field Values

    - #### MENU_HELP_FONTS

          static final int MENU_HELP_FONTS

      Show system fonts.
      See Also:
        Constant Field Values

    - #### MENU_HELP_RESOURCE

          static final int MENU_HELP_RESOURCE

      Show resource information.
      See Also:
        Constant Field Values

    - #### MENU_HELP_LICENSE

          static final int MENU_HELP_LICENSE

      Show resource information.
      See Also:
        Constant Field Values

    - #### MENU_HELP_APPLET

          static final int MENU_HELP_APPLET

      Help on current applet.
      See Also:
        Constant Field Values

    - #### MENU_HELP_ABOUT

          static final int MENU_HELP_ABOUT

      Show 'About' dialog
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_ORBIT

          static final int MENU_DISPLAY_ORBIT

      Major mode in display to rotate geometry.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_VERTICAL

          static final int MENU_DISPLAY_VERTICAL

      Major mode in display to rotate geometry around vertical z-axis.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_SCALE

          static final int MENU_DISPLAY_SCALE

      Major mode in display to scale geometry by zooming.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_SCALE_RECT

          static final int MENU_DISPLAY_SCALE_RECT

      Major mode in display to scale geometry by zooming into a specified rectangle.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_TRANSLATE

          static final int MENU_DISPLAY_TRANSLATE

      Major mode in display to (x,y)-translate geometry.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_TRANSLATE_Z

          static final int MENU_DISPLAY_TRANSLATE_Z

      Major mode in display to z-translate geometry.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_PICK_VERTEX

          static final int MENU_DISPLAY_PICK_VERTEX

      Major mode in display to pick and modify vertices.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_INITIAL_PICK

          static final int MENU_DISPLAY_INITIAL_PICK

      Major mode in display to select initial points on geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_DISPLAY_PICK

          static final int MENU_DISPLAY_DISPLAY_PICK

      Major mode in display to select initial points in display without picking geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_MARK_VERTEX

          static final int MENU_DISPLAY_MARK_VERTEX

      Major mode in display to mark a set of points on geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_UNMARK_VERTEX

          static final int MENU_DISPLAY_UNMARK_VERTEX

      Major mode in display to unmark a set of points on surfaces.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_MARK_ELEMENT

          static final int MENU_DISPLAY_MARK_ELEMENT

      Major mode in display to mark a set of elements on geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_UNMARK_ELEMENT

          static final int MENU_DISPLAY_UNMARK_ELEMENT

      Major mode in display to mark a set of elements on geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_ADD_VERTEX

          static final int MENU_DISPLAY_ADD_VERTEX

      Major mode in display to add new points of geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_ADD_ELEMENT

          static final int MENU_DISPLAY_ADD_ELEMENT

      Major mode in display to add new elements to geometry.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_DELETE_GEOMETRY

          static final int MENU_DISPLAY_DELETE_GEOMETRY

      Major mode in display to delete items or geometries.
      See Also:
        Constant Field Values

    - #### MENU_DISPLAY_DRAWING

          static final int MENU_DISPLAY_DRAWING

      Major mode allows to draw sketches in the display which are then converted to strokes.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addProject

          boolean addProject(java.lang.String category,
                             java.lang.String name,
                             java.lang.String className,
                             java.lang.String[] parmList)

      Registers the name and class of a project in the viewer in given category. Later the project must be selected by name to be instantiated and to become the active project in the environment. This method allows to pass a list of parameter strings to the project which may be parsed by the project, e.g. used to receive initial values from an Html page.
      Parameters:
        `category` - Unique name of category used to group projects
        `name` - Unique name of project, used for identification and selection
        `className` - Class name of project, used for creation
        `parmList` - List of parameters, may be `null`.
      See Also:
        `PvViewerIf.addProject(String, String, String [])`, `PvViewerIf.selectProject(String)`, `PvViewer.addProject(jv.project.PjProject)`

    - #### export

          boolean export(int dialog,
                         java.lang.String fileName)

      Export geometries of active display without opening a dialog. If a file format allows a single geometry only then the currently active geometry is exported, otherwise all visible geometries are exported. Possible arguments for file formats are PsViewerIf.EXPORT_JVX etc, see static variables EXPORT_[type] in `PsViewerIf`.

      Method should be invoked only on instance of jv.viewer.PvViewer. This interface method is only for declaration.

      Parameters:
        `dialog` - ID of dialog determining the file format
        `fileName` - Full file name
      Returns:
        boolean true if success, false if string data could not be generated.
      Version:
        07.02.00, 1.00 revised (kp)
        07.02.00, 1.00 created (kp)

    - #### export

          boolean export(int dialog,
                         java.lang.String fileName,
                         int width,
                         int height)

      Export image file of currently active display with specified image size.
      Parameters:
        `dialog` - name of dialog to be shown
        `fileName` - full file name
        `width` - width of image
        `height` - height of image, or -1 to keep aspect ratio.
      Returns:
        boolean true if success, false if string data could not be generated.
      Version:
        03.04.00, 1.00 revised (kp)
        03.04.00, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"